Linux localhost 6.1.10-x86_64-linode159 #1 SMP PREEMPT_DYNAMIC Wed Feb 8 14:14:45 EST 2023 x86_64
Apache/2.4.25 (Debian)
Server IP : 45.33.61.127 & Your IP : 216.73.216.156
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
a2disconf
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2dismod
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2dissite
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2enconf
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2enmod
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2ensite
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2query
9.64
KB
-rwxr-xr-x
2019-10-13 15:43
accessdb
10.23
KB
-rwxr-xr-x
2016-12-13 13:10
add-shell
860
B
-rwxr-xr-x
2017-04-02 17:10
addgnupghome
3.01
KB
-rwxr-xr-x
2019-02-07 20:57
addgroup
33.7
KB
-rwxr-xr-x
2016-06-26 22:55
adduser
33.7
KB
-rwxr-xr-x
2016-06-26 22:55
apache2
651.13
KB
-rwxr-xr-x
2019-10-13 15:43
apache2ctl
7.05
KB
-rwxr-xr-x
2019-10-13 15:39
apachectl
7.05
KB
-rwxr-xr-x
2019-10-13 15:39
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2019-02-07 20:57
arpd
46.84
KB
-rwxr-xr-x
2017-11-24 09:22
aspell-autobuildhash
13.22
KB
-rwxr-xr-x
2016-10-10 09:58
biosdecode
18.82
KB
-rwxr-xr-x
2016-09-01 02:59
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
57.8
KB
-rwxr-xr-x
2017-05-17 11:59
chpasswd
49.9
KB
-rwxr-xr-x
2017-05-17 11:59
chroot
38.88
KB
-rwxr-xr-x
2017-02-22 12:23
cpgr
52
KB
-rwxr-xr-x
2017-05-17 11:59
cppw
52
KB
-rwxr-xr-x
2017-05-17 11:59
cron
47.48
KB
-rwxr-xr-x
2017-10-07 13:38
delgroup
15.43
KB
-rwxr-xr-x
2016-06-26 22:55
deluser
15.43
KB
-rwxr-xr-x
2016-06-26 22:55
dmidecode
102.49
KB
-rwxr-xr-x
2016-09-01 02:59
dpkg-preconfigure
3.52
KB
-rwxr-xr-x
2017-05-21 17:08
dpkg-reconfigure
4.23
KB
-rwxr-xr-x
2017-05-21 17:08
e2freefrag
10.07
KB
-rwxr-xr-x
2020-07-25 09:03
e4crypt
22.07
KB
-rwxr-xr-x
2020-07-25 09:03
e4defrag
25.99
KB
-rwxr-xr-x
2020-07-25 09:03
fdformat
30.66
KB
-rwxr-xr-x
2018-03-07 18:29
ferm
83.84
KB
-rwxr-xr-x
2016-03-30 12:16
filefrag
14.02
KB
-rwxr-xr-x
2020-07-25 09:03
genl
50.79
KB
-rwxr-xr-x
2017-11-24 09:22
groupadd
57.86
KB
-rwxr-xr-x
2017-05-17 11:59
groupdel
53.65
KB
-rwxr-xr-x
2017-05-17 11:59
groupmems
53.84
KB
-rwxr-xr-x
2017-05-17 11:59
groupmod
68.22
KB
-rwxr-xr-x
2017-05-17 11:59
grpck
53.77
KB
-rwxr-xr-x
2017-05-17 11:59
grpconv
49.65
KB
-rwxr-xr-x
2017-05-17 11:59
grpunconv
49.65
KB
-rwxr-xr-x
2017-05-17 11:59
grub-bios-setup
790.19
KB
-rwxr-xr-x
2019-06-12 11:20
grub-install
996.58
KB
-rwxr-xr-x
2019-06-12 11:20
grub-macbless
777.88
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkconfig
7.82
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkdevicemap
204.47
KB
-rwxr-xr-x
2019-06-12 11:20
grub-probe
790.19
KB
-rwxr-xr-x
2019-06-12 11:20
grub-reboot
4.01
KB
-rwxr-xr-x
2019-06-12 11:20
grub-set-default
3.48
KB
-rwxr-xr-x
2019-06-12 11:20
httxt2dbm
9.99
KB
-rwxr-xr-x
2019-10-13 15:43
iconvconfig
22.66
KB
-rwxr-xr-x
2019-02-06 21:17
import-ferm
16.81
KB
-rwxr-xr-x
2016-03-30 12:16
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2016-11-07 07:06
invoke-rc.d
17.69
KB
-rwxr-xr-x
2017-05-02 10:20
iotop
496
B
-rwxr-xr-x
2016-07-29 10:25
ip6tables-apply
6.85
KB
-rwxr-xr-x
2017-04-12 09:41
iptables-apply
6.85
KB
-rwxr-xr-x
2017-04-12 09:41
irqbalance
55.38
KB
-rwxr-xr-x
2017-03-10 18:56
ispell-autobuildhash
15.39
KB
-rwxr-xr-x
2016-10-10 09:58
laptop-detect
2.53
KB
-rwxr-xr-x
2016-12-27 03:11
ldattach
30.71
KB
-rwxr-xr-x
2018-03-07 18:29
locale-gen
1.5
KB
-rwxr-xr-x
2017-07-31 14:32
logrotate
75.27
KB
-rwxr-xr-x
2017-01-07 18:54
make-ssl-cert
3.78
KB
-rwxr-xr-x
2017-04-28 19:58
mkinitramfs
10.01
KB
-rwxr-xr-x
2017-04-26 01:00
mklost+found
9.99
KB
-rwxr-xr-x
2020-07-25 09:03
mysqld
17.05
MB
-rwxr-xr-x
2021-01-31 16:38
newusers
78.43
KB
-rwxr-xr-x
2017-05-17 11:59
nfnl_osf
13.99
KB
-rwxr-xr-x
2017-04-12 09:41
nologin
5.99
KB
-rwxr-xr-x
2017-05-17 11:59
ownership
10.13
KB
-rwxr-xr-x
2016-09-01 02:59
pam-auth-update
19.03
KB
-rwxr-xr-x
2017-05-27 15:44
pam_getenv
2.82
KB
-rwxr-xr-x
2017-05-27 15:44
pam_timestamp_check
10.37
KB
-rwxr-xr-x
2017-05-27 15:44
paperconfig
4.07
KB
-rwxr-xr-x
2016-11-11 11:28
phpdismod
7.11
KB
-rwxr-xr-x
2019-08-14 06:09
phpenmod
7.11
KB
-rwxr-xr-x
2019-08-14 06:09
phpquery
6.24
KB
-rwxr-xr-x
2019-08-14 06:09
pwck
49.84
KB
-rwxr-xr-x
2017-05-17 11:59
pwconv
45.74
KB
-rwxr-xr-x
2017-05-17 11:59
pwunconv
41.72
KB
-rwxr-xr-x
2017-05-17 11:59
readprofile
18.59
KB
-rwxr-xr-x
2018-03-07 18:29
remove-default-ispell
2.86
KB
-rwxr-xr-x
2016-10-10 09:58
remove-default-wordlist
2.86
KB
-rwxr-xr-x
2016-10-10 09:58
remove-shell
904
B
-rwxr-xr-x
2017-04-02 17:10
rmt
55.03
KB
-rwxr-xr-x
2016-10-30 06:35
rmt-tar
55.03
KB
-rwxr-xr-x
2016-10-30 06:35
rsyslogd
636.3
KB
-rwxr-xr-x
2017-01-18 22:14
rtcwake
42.81
KB
-rwxr-xr-x
2018-03-07 18:29
safe_finger
10.08
KB
-rwxr-xr-x
2016-12-25 23:08
select-default-ispell
3.23
KB
-rwxr-xr-x
2016-10-10 09:58
select-default-wordlist
3.21
KB
-rwxr-xr-x
2016-10-10 09:58
service
9.83
KB
-rwxr-xr-x
2017-05-02 10:20
setvesablank
10.36
KB
-rwxr-xr-x
2016-01-05 16:55
split-logfile
2.36
KB
-rwxr-xr-x
2019-10-13 15:43
sshd
772.48
KB
-rwxr-xr-x
2019-07-15 13:32
tarcat
936
B
-rwxr-xr-x
2016-10-30 06:35
tcpd
10
KB
-rwxr-xr-x
2016-12-25 23:08
tcpdchk
22.13
KB
-rwxr-xr-x
2016-12-25 23:08
tcpdmatch
18.04
KB
-rwxr-xr-x
2016-12-25 23:08
tcptraceroute
1.56
KB
-rwxr-xr-x
2016-08-29 15:45
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute
67.16
KB
-rwxr-xr-x
2016-08-29 15:45
try-from
10
KB
-rwxr-xr-x
2016-12-25 23:08
tunelp
26.61
KB
-rwxr-xr-x
2018-03-07 18:29
tzconfig
106
B
-rwxr-xr-x
2019-10-11 07:23
update-ca-certificates
4.85
KB
-rwxr-xr-x
2020-06-05 16:52
update-catalog
9.15
KB
-rwxr-xr-x
2016-11-07 07:06
update-default-aspell
1
KB
-rwxr-xr-x
2016-10-10 09:58
update-default-ispell
9.68
KB
-rwxr-xr-x
2016-10-10 09:58
update-default-wordlist
7.5
KB
-rwxr-xr-x
2016-10-10 09:58
update-dictcommon-aspell
1
KB
-rwxr-xr-x
2016-10-10 09:58
update-dictcommon-hunspell
782
B
-rwxr-xr-x
2016-10-10 09:58
update-grub
64
B
-rwxr-xr-x
2019-06-12 11:20
update-grub2
64
B
-rwxr-xr-x
2019-06-12 11:20
update-gsfontmap
450
B
-rwxr-xr-x
2020-08-20 14:04
update-initramfs
8.02
KB
-rwxr-xr-x
2017-03-06 22:42
update-locale
2.99
KB
-rwxr-xr-x
2016-03-20 23:45
update-mime
8.84
KB
-rwxr-xr-x
2016-05-01 11:20
update-passwd
30.41
KB
-rwxr-xr-x
2017-01-16 15:52
update-pciids
2.84
KB
-rwxr-xr-x
2016-11-30 06:53
update-rc.d
15.69
KB
-rwxr-xr-x
2017-05-02 10:20
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2016-11-07 14:53
upgrade-from-grub-legacy
1.49
KB
-rwxr-xr-x
2019-06-12 11:20
useradd
119.29
KB
-rwxr-xr-x
2017-05-17 11:59
userdel
82.49
KB
-rwxr-xr-x
2017-05-17 11:59
usermod
119.1
KB
-rwxr-xr-x
2017-05-17 11:59
validlocale
1.73
KB
-rwxr-xr-x
2016-03-20 23:45
vcstime
6.24
KB
-rwxr-xr-x
2016-01-05 16:55
vigr
60.22
KB
-rwxr-xr-x
2017-05-17 11:59
vipw
60.22
KB
-rwxr-xr-x
2017-05-17 11:59
visudo
200.34
KB
-rwxr-xr-x
2021-01-23 09:10
vpddecode
14.27
KB
-rwxr-xr-x
2016-09-01 02:59
zic
42.54
KB
-rwxr-xr-x
2019-02-06 21:17
Save
Rename
#!/bin/sh STATEDIR=/var/lib/initramfs-tools BOOTDIR=/boot CONF=/etc/initramfs-tools/update-initramfs.conf mode="" version="" update_initramfs=yes backup_initramfs=no set -e [ -r ${CONF} ] && . ${CONF} case "$DPKG_MAINTSCRIPT_PACKAGE" in linux-image-*) if [ -z "$INITRAMFS_TOOLS_KERNEL_HOOK" ]; then # kernel maintainer script called us directly; ignore # it and let the hook script handle it instead echo "update-initramfs: deferring update (hook will be called later)" exit 0 fi ;; ?*) if [ $# = 1 ] \ && [ x"$1" = x-u ] \ && dpkg-trigger --check-supported 2>/dev/null then if dpkg-trigger --no-await update-initramfs; then echo "update-initramfs: deferring update (trigger activated)" exit 0 fi fi ;; esac usage() { if [ -n "${1:-}" ]; then printf "${*}\n\n" >&2 fi cat >&2 << EOF Usage: ${0} [OPTION]... Options: -k version Specify kernel version or 'all' -c Create a new initramfs -u Update an existing initramfs -d Remove an existing initramfs -t Take over a custom initramfs with this one -b directory Set alternate boot directory -v Be verbose -h This message EOF exit 1 } mild_panic() { if [ -n "${1:-}" ]; then printf "${*}\n" >&2 fi exit 0 } panic() { if [ -n "${1:-}" ]; then printf "${*}\n" >&2 fi exit 1 } verbose() { if [ "${verbose}" = 1 ]; then printf "${*}\n" fi } version_exists() { [ -e "${STATEDIR}/${1}" ] && [ -e "${initramfs}" ] return $? } set_initramfs() { initramfs="${BOOTDIR}/initrd.img-${version}" } # backup initramfs while running backup_initramfs() { [ ! -r "${initramfs}" ] && return 0 initramfs_bak="${initramfs}.dpkg-bak" [ -r "${initramfs_bak}" ] && rm -f "${initramfs_bak}" ln -f "${initramfs}" "${initramfs_bak}" \ || cp -a "${initramfs}" "${initramfs_bak}" verbose "Keeping ${initramfs_bak}" } # keep booted initramfs backup_booted_initramfs() { initramfs_bak="${initramfs}.dpkg-bak" # first time run thus no backup [ ! -r "${initramfs_bak}" ] && return 0 # chroot with no /proc [ ! -r /proc/uptime ] && rm -f "${initramfs_bak}" && return 0 # no kept backup wanted [ "${backup_initramfs}" = "no" ] && rm -f "${initramfs_bak}" && return 0 # no backup yet if [ ! -r "${initramfs}.bak" ]; then mv -f ${initramfs_bak} "${initramfs}.bak" verbose "Backup ${initramfs}.bak" return 0 fi # keep booted initramfs boot_initramfs= uptime_days=$(awk '{printf "%d", $1 / 3600 / 24}' /proc/uptime) if [ -n "$uptime_days" ]; then boot_initramfs=$(find "${initramfs}.bak" -mtime +${uptime_days}) fi if [ -n "${boot_initramfs}" ]; then mv -f "${initramfs_bak}" "${initramfs}.bak" verbose "Backup ${initramfs}.bak" return 0 fi verbose "Removing current backup ${initramfs_bak}" rm -f ${initramfs_bak} } # nuke generated copy remove_initramfs_bak() { [ -z "${initramfs_bak:-}" ] && return 0 rm -f "${initramfs_bak}" verbose "Removing ${initramfs_bak}" } generate_initramfs() { echo "update-initramfs: Generating ${initramfs}" OPTS="-o" if [ "${verbose}" = 1 ]; then OPTS="-v ${OPTS}" fi if mkinitramfs ${OPTS} "${initramfs}.new" "${version}"; then mv -f "${initramfs}.new" "${initramfs}" set_sha1 # Guard against an unclean shutdown sync else mkinitramfs_return="$?" remove_initramfs_bak rm -f "${initramfs}.new" echo "update-initramfs: failed for ${initramfs} with $mkinitramfs_return." >&2 exit $mkinitramfs_return fi } # Invoke bootloader run_bootloader() { # invoke policy conformant bootloader hooks if [ -d /etc/initramfs/post-update.d/ ]; then run-parts --arg=${version} --arg=${initramfs} \ /etc/initramfs/post-update.d/ return 0 fi } compare_sha1() { sha1sum "${initramfs}" | diff "${STATEDIR}/${version}" - >/dev/null 2>&1 return $? } # Note that this must overwrite so that updates work. set_sha1() { sha1sum "${initramfs}" > "${STATEDIR}/${version}" } delete_sha1() { rm -f "${STATEDIR}/${version}" } # ro /boot is not modified ro_boot_check() { # check irrelevant inside of a chroot if [ ! -r /proc/mounts ] || ischroot; then return 0 fi boot_opts=$(awk '/boot/{if ((match($4, /^ro/) || match($4, /,ro/)) \ && $2 == "/boot") print "ro"}' /proc/mounts) if [ -n "${boot_opts}" ]; then echo "WARNING: /boot is ro mounted." echo "update-initramfs: Not updating ${initramfs}" exit 0 fi } get_sorted_versions() { version_list="$(ls -1 "${STATEDIR}" | linux-version sort --reverse)" verbose "Available versions: ${version_list}" } set_current_version() { if [ -f /boot/initrd.img-`uname -r` ]; then version=`uname -r` fi } set_linked_version() { linktarget= if [ -e /initrd.img ] && [ -L /initrd.img ]; then linktarget="$(basename "$(readlink /initrd.img)")" fi if [ -e /boot/initrd.img ] && [ -L /boot/initrd.img ]; then linktarget="$(basename "$(readlink /boot/initrd.img)")" fi if [ -z "${linktarget}" ]; then return fi version="${linktarget##initrd.img-}" } set_highest_version() { get_sorted_versions if [ -z "${version_list}" ]; then version= return fi set -- ${version_list} version=${1} } create() { if [ -z "${version}" ]; then usage "Create mode requires a version argument" fi set_initramfs if [ "${takeover}" = 0 ]; then if version_exists "${version}"; then panic "Cannot create version ${version}: already exists" fi if [ -e "${initramfs}" ]; then panic "${initramfs} already exists, cannot create." fi fi generate_initramfs run_bootloader } update() { if [ "${update_initramfs}" = "no" ]; then echo "update-initramfs: Not updating initramfs." exit 0 fi if [ -z "${version}" ]; then set_highest_version fi if [ -z "${version}" ]; then set_linked_version fi if [ -z "${version}" ]; then set_current_version fi if [ -z "${version}" ]; then verbose "Nothing to do, exiting." exit 0 fi set_initramfs ro_boot_check altered_check backup_initramfs generate_initramfs run_bootloader backup_booted_initramfs } delete() { if [ -z "${version}" ]; then usage "Delete mode requires a version argument" fi set_initramfs if [ "${takeover}" = 0 ]; then if [ ! -e "${initramfs}" ]; then panic "Cannot delete ${initramfs}, doesn't exist." fi if ! version_exists "${version}"; then panic "Cannot delete version ${version}: Not created by this utility." fi fi altered_check echo "update-initramfs: Deleting ${initramfs}" delete_sha1 rm -f "${initramfs}" "${initramfs}.bak" } # Check for update mode on existing and modified initramfs altered_check() { # No check on takeover [ "${takeover}" = 1 ] && return 0 if [ ! -e "${initramfs}" ]; then mild_panic "${initramfs} does not exist. Cannot update." fi if ! compare_sha1; then echo "update-initramfs: ${initramfs} has been altered." >&2 mild_panic "update-initramfs: Cannot update. Override with -t option." fi } # Defaults verbose=0 yes=0 # We default to takeover=1 in Ubuntu, but not Debian takeover=0 ## while getopts "k:cudyvtb:h?" flag; do case "${flag}" in k) version="${OPTARG}" ;; c) mode="c" ;; d) mode="d" ;; u) mode="u" ;; v) verbose="1" ;; y) yes="1" ;; t) takeover="1" ;; b) BOOTDIR="${OPTARG}" if [ ! -d "${BOOTDIR}" ]; then echo "Error: ${BOOTDIR} is not a directory." >&2 exit 1 fi ;; h|?) usage ;; esac done shift $((${OPTIND} - 1)) if [ $# -ne 0 ]; then printf "Extra argument '%s'\n\n" "$1" >&2 usage fi # Validate arguments if [ -z "${mode}" ]; then usage "You must specify at least one of -c, -u, or -d." fi if [ "${version}" = "all" ] \ || ( [ "${update_initramfs}" = "all" ] && [ -z "${version}" ] ); then : FIXME check for --yes, and if not ask are you sure get_sorted_versions if [ -z "${version_list}" ]; then verbose "Nothing to do, exiting." exit 0 fi OPTS="-b ${BOOTDIR}" if [ "${verbose}" = "1" ]; then OPTS="${OPTS} -v" fi if [ "${takeover}" = "1" ]; then OPTS="${OPTS} -t" fi if [ "${yes}" = "1" ]; then OPTS="${OPTS} -y" fi for u_version in ${version_list}; do verbose "Execute: ${0} -${mode} -k \"${u_version}\" ${OPTS}" "${0}" -${mode} -k "${u_version}" ${OPTS} done exit 0 fi case "${mode}" in c) create ;; d) delete ;; u) update ;; esac